
From: Renaud Lienhart <renaud.lienhart@free.fr>

free_pages_bulk() doesn't free the entire list if count == 0.

Signed-off-by: Renaud Lienhart <renaud.lienhart@free.fr>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/page_alloc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/page_alloc.c~remove-invalid-comment-in-mm-page_allocc mm/page_alloc.c
--- devel/mm/page_alloc.c~remove-invalid-comment-in-mm-page_allocc	2005-09-07 20:11:32.000000000 -0700
+++ devel-akpm/mm/page_alloc.c	2005-09-07 20:11:32.000000000 -0700
@@ -362,7 +362,7 @@ static inline void free_pages_check(cons
 /*
  * Frees a list of pages. 
  * Assumes all pages on list are in same zone, and of same order.
- * count is the number of pages to free, or 0 for all on the list.
+ * count is the number of pages to free.
  *
  * If the zone was previously in an "all pages pinned" state then look to
  * see if this freeing clears that state.
_
